package com.koobietech.eas.mbg.model;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.v3.oas.annotations.media.Schema;
import java.io.Serializable;

public class EasSysUniversity implements Serializable {
    /**
     * 大学编码
     *
     * @mbg.generated
     */
    @Schema(description = "大学编码")
    private String universityCode;

    /**
     * 学校名
     *
     * @mbg.generated
     */
    @Schema(description = "学校名")
    private String universityTitle;

    private static final long serialVersionUID = 1L;

    public String getUniversityCode() {
        return universityCode;
    }

    public void setUniversityCode(String universityCode) {
        this.universityCode = universityCode == null ? null : universityCode.trim();
    }

    public String getUniversityTitle() {
        return universityTitle;
    }

    public void setUniversityTitle(String universityTitle) {
        this.universityTitle = universityTitle == null ? null : universityTitle.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", universityCode=").append(universityCode);
        sb.append(", universityTitle=").append(universityTitle);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}